<?php
/**
 * Plugin Name: Flexy SEO
 * Plugin URI: https://github.com/sh1zen/flexy-seo
 * Description: Search Engine Optimization (SEO) plugin, support breadcrumbs.
 * Author: sh1zen
 * Author URI: https://sh1zen.github.io/
 * Text Domain: wpfs
 * Domain Path: /languages
 * Version: 1.1.1
 */

const WPFS_FILE = __FILE__;
define('WPFS_ABSPATH', dirname(__FILE__) . '/');
const WPFS_INCPATH = WPFS_ABSPATH . 'inc/';
const WPFS_MODULES = WPFS_ABSPATH . 'modules/';
const WPFS_ADMIN = WPFS_ABSPATH . 'admin/';
const WPFS_ASSETS = WPFS_ABSPATH . 'assets/';
const WPFS_EXTENSIONS = WPFS_ABSPATH . 'extensions/';

// setup constants
require_once WPFS_INCPATH . 'constants.php';

// essential
require_once WPFS_INCPATH . 'back-compat.php';
require_once WPFS_INCPATH . 'Cache.class.php';
require_once WPFS_ADMIN . 'settings.class.php';
require_once WPFS_ADMIN . 'Options.class.php';

// extensions
require_once WPFS_INCPATH . 'UtilEnv.php';

// modules handlers
require_once WPFS_INCPATH . 'Graphic.class.php';
require_once WPFS_INCPATH . 'Module.class.php';
require_once WPFS_INCPATH . 'ModuleHandler.class.php';

// main class
require_once WPFS_ADMIN . 'pluginInit.class.php';


/**
 * Initialize framework classes
 */
FlexySEO\core\Cache::Init(false);

FlexySEO\core\Settings::getInstance();

FlexySEO\core\ModuleHandler::getInstance();

/**
 * Starts the plugin.
 */
FlexySEO\core\PluginInit::Initialize();


require_once WPFS_ABSPATH . 'ext_interface/wpfs_functions.php';

